Product

Scrape Mercado Livre product pages by product ID.

The mercadolivre_product source is designed to retrieve Mercado Livre product pages. The API returns the HTML for any Mercado Livre product you like.

Request samples

The samples below shows how you can get a Mercado Livre product page.

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "mercadolivre_product",
        "product_id": "2016214156",
    }'

We use synchronous Realtime integration method in our examples. If you would like to use Proxy Endpoint or asynchronous Push-Pull integration, refer to the integration methods section.

Request parameter values

Generic

Parameter
Description
Default Value

source

Sets the scraper.

mercadolivre_product

product_id

Mercado Livre product ID.

-

render

Enables JavaScript rendering when set to html. More info.

-

callback_url

URL to your callback endpoint. More info

-

user_agent_type

Device type and browser. The full list can be found here.

desktop

- mandatory parameter

Last updated

Was this helpful?